package dao

import (
	"database/sql"
	"gitdxz.51daxuetong.cn/go_dev/bids_rpcx/lib"
	"time"
)

type SemCategory struct {
	DeletedAt    sql.NullTime   `gorm:"column:deleted_at" json:"deleted_at" db:"deleted_at"`
	Factor       float64        `gorm:"column:factor" json:"factor" db:"factor"`
	End          sql.NullString `gorm:"column:end" json:"end" db:"end"`
	UpdatedAt    time.Time      `gorm:"column:updated_at" json:"updated_at" db:"updated_at"`
	ChannelID    int            `gorm:"column:channel_id" json:"channel_id" db:"channel_id"`
	Status       int            `gorm:"column:status" json:"status" db:"status"`
	DataType     sql.NullInt64  `gorm:"column:data_type" json:"data_type" db:"data_type"`
	CreatedAt    time.Time      `gorm:"column:created_at" json:"created_at" db:"created_at"`
	Information  sql.NullInt64  `gorm:"column:information" json:"information" db:"information"`
	ID           int            `gorm:"column:id;primary_key" json:"id" db:"id"`
	CategoryName string         `gorm:"column:category_name" json:"category_name" db:"category_name"`
}

//func (s SemCategory)MarshalJSON()([]byte, error)  {
//	type Alias SemCategory
//	return json.Marshal(&struct {
//		Alias
//		CreatedAt string `json:"create_time"`
//	}{
//		Alias:      (Alias)(s),
//		CreatedAt: s.CreatedAt.Format("2006/01/02 15:04:05"),
//	})
//}
// TableName sets the insert table name for this struct type
func (s *SemCategory) TableName() string {
	return "sem_category"
}

func GetAllSemCategory() (data []SemCategory, err error) {
	err = lib.GetDb().Find(&data).Error
	return
}
